Bug 1409850 - /usr/libexec/tracker-extract dumping core multiple times
Summary: /usr/libexec/tracker-extract dumping core multiple times
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 33
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Carlos Garnacho
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 15:57 UTC by udo
Modified: 2021-03-02 14:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
coredump from tracker-extract (4.18 MB, application/x-lz4)
2019-03-25 16:23 UTC, Hubert Kario
no flags Details
Coredump on 5.8.14 from tracker-miners-2.3.4-1.fc31.1.x86_64 (5.19 MB, application/zip)
2020-10-11 09:20 UTC, udo
no flags Details

Description udo 2017-01-03 15:57:37 UTC
Description of problem:
/usr/libexec/tracker-extract dumping core multiple times, filling up the remaining 100+GB of ree space in /home/udo.

Version-Release number of selected component (if applicable):
tracker-1.8.2-1.fc24.x86_64

How reproducible:
reboot the box, log in, use it,wait for a while. check the home directory.
see core* files.

Actual results:
Hundreds of core files.

Expected results:
No core files. No crashing of tracker-extract.

Additional info:

Comment 1 Fedora End Of Life 2017-07-26 00:09:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Debarshi Ray 2017-07-27 16:04:15 UTC
This bug report is not actionable unless you attach a backtrace from one of those core dumps.

Comment 3 udo 2017-07-27 16:12:14 UTC
Ah, thanks for a response after all this time.
How to actionably obtain a backtrace as one cannot predict under what circumsatnces a coredump will happen?

Comment 4 Fedora End Of Life 2018-05-03 08:46:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Hubert Kario 2019-03-25 16:23:51 UTC
Created attachment 1547748 [details]
coredump from tracker-extract

crash of tracker-extract from tracker-miners-2.1.4-1.fc28.x86_64

Comment 6 Ben Cotton 2019-05-02 19:45:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-10-31 19:00:11 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-04-30 20:49:02 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 udo 2020-09-06 16:05:48 UTC
booting into 5.7.19:

[  121.875228] tracker-extract[4062]: segfault at 7fff4c731ff8 ip 00007f27db1c4fc5 sp 00007fff4c732000 error 6 in libglib-2.0.so.0.6200.6[7f27db1a1000+83000]
[  121.875237] Code: 28 48 8b 73 20 89 ea 8b 0c a8 0f b6 43 18 a8 01 74 63 48 8b 3c d6 48 8b 73 30 a8 02 74 4f 48 8b 34 d6 83 f9 01 76 06 4c 89 ea <41> ff d4 44 39 73 4c 74 22 48 8d 15 43 43 06 00 5b 48 8d 35 63 44

Comment 10 udo 2020-10-11 09:16:57 UTC
Booting into 5.8.14 we see this consistently:

[   90.814506] tracker-extract[3971]: segfault at 7ffdd0316ff8 ip 00007fe64b35af6f sp 00007ffdd0317000 error 6 in libglib-2.0.so.0.6200.6[7fe64b337000+83000]
[   90.814521] Code: 00 48 8d 3d c1 f0 05 00 e8 de 94 01 00 31 c0 48 83 c4 08 c3 0f 1f 80 00 00 00 00 f3 0f 1e fa 48 85 ff 0f 84 ab 00 00 00 41 56 <41> 55 41 54 49 89 f4 55 53 48 85 f6 0f 84 b7 00 00 00 31 ed 48 83

Comment 11 udo 2020-10-11 09:20:30 UTC
Created attachment 1720593 [details]
Coredump on 5.8.14 from tracker-miners-2.3.4-1.fc31.1.x86_64

Coredump on 5.8.14 from tracker-miners-2.3.4-1.fc31.1.x86_64 on Fedora 31.

Comment 12 Ben Cotton 2020-11-03 17:00:25 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 udo 2021-03-02 14:22:08 UTC
On Fedora 33 things still crash:

# file  /home/udo/core*
/home/udo/core.187823: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.187953: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.187994: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.188020: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.188073: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.188162: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.188207: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.188680: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.189663: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'
/home/udo/core.190559: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, from '/usr/libexec/tracker-extract-3', real uid: 500, effective uid: 500, real gid: 500, effective gid: 500, execfn: '/usr/libexec/tracker-extract-3', platform: 'x86_64'

Also the tracker stuff runs when I do not want it to run.
The tracker stuff is also of the unremovable kind:

# rpm -qa|grep ^tracker|xargs rpm -e
error: Failed dependencies:
	tracker3-miners is needed by (installed) nautilus-3.38.2-1.fc33.x86_64

What /fake/ dependency is that? Please fix that and allow us choice.
It's crashing, so it doesn't work.
We must endure disk space consumption, CPU usage, I/O consumption as we cannot stop it from running.
I disabled them services. No change.
So I had to remove the dbus service files?

Or what decent way of either configuring or removing tracker is there?

Mar  2 13:38:43 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:43 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:45 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:45 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:45 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:45 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:46 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:46 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:47 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:47 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:47 sufplan2 systemd[3381]: tracker-extract-3.service: Main process exited, code=killed, status=31/SYS
Mar  2 13:38:47 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:48 sufplan2 systemd[3381]: tracker-extract-3.service: Start request repeated too quickly.
Mar  2 13:38:48 sufplan2 systemd[3381]: tracker-extract-3.service: Failed with result 'signal'.
Mar  2 13:38:48 sufplan2 systemd[3381]: Failed to start Tracker metadata extractor.

Comment 14 udo 2021-03-02 14:28:24 UTC
To fix the crashing:
Why not handle the error somewhat in tracker itself?
At least log the filename involved that makes it crash.... (!)


Note You need to log in before you can comment on or make changes to this bug.